local zones = {
    {name = "South Qeynos", shortname = "qeynos", id = 1},
    {name = "North Qeynos", shortname = "qeynos2", id = 2},
    {name = "Surefall Glade", shortname = "qrg", id = 3},
    {name = "Qeynos Hills", shortname = "qeytoqrg", id = 4},
    {name = "HighKeep", shortname = "highkeep", id = 6},
    {name = "North Freeport", shortname = "freportn", id = 8},
    {name = "West Freeport", shortname = "freportw", id = 9},
    {name = "East Freeport", shortname = "freporte", id = 10},
    {name = "Clan RunnyEye", shortname = "runnyeye", id = 11},
    {name = "West Karana", shortname = "qey2hh1", id = 12},
    {name = "North Karana", shortname = "northkarana", id = 13},
    {name = "South Karana", shortname = "southkarana", id = 14},
    {name = "East Karana", shortname = "eastkarana", id = 15},
    {name = "Gorge of King Xorbb", shortname = "beholder", id = 16},
    {name = "BlackBurrow", shortname = "blackburrow", id = 17},
    {name = "Infected Paw", shortname = "paw", id = 18},
    {name = "Rivervale", shortname = "rivervale", id = 19},
    {name = "Kithicor Forest (A)", shortname = "kithicor", id = 20},
    {name = "West Commonlands", shortname = "commons", id = 21},
    {name = "East Commonlands", shortname = "ecommons", id = 22},
    {name = "Erudin Palace", shortname = "erudnint", id = 23},
    {name = "Erudin", shortname = "erudnext", id = 24},
    {name = "Nektulos Forest", shortname = "nektulos", id = 25},
    {name = "Sunset Home", shortname = "cshome", id = 26},
    {name = "Lavastorm Mountains", shortname = "lavastorm", id = 27},
    {name = "Nektropos", shortname = "nektropos", id = 28},
    {name = "Halas", shortname = "halas", id = 29},
    {name = "Everfrost Peaks", shortname = "everfrost", id = 30},
    {name = "Solusek's Eye", shortname = "soldunga", id = 31},
    {name = "Nagafen's Lair", shortname = "soldungb", id = 32},
    {name = "North Ro (A)", shortname = "nro", id = 34},
    {name = "South Ro (A)", shortname = "southro", id = 35},
    {name = "Befallen (A)", shortname = "befallen", id = 36},
    {name = "Oasis of Marr", shortname = "oasis", id = 37},
    {name = "The Ruins of Old Paineel", shortname = "hole", id = 39},
    {name = "Neriak Foreign Quarter", shortname = "neriaka", id = 40},
    {name = "Neriak Commons", shortname = "neriakb", id = 41},
    {name = "Neriak Third Gate", shortname = "neriakc", id = 42},
    {name = "Neriak Palace", shortname = "neriakd", id = 43},
    {name = "Najena", shortname = "najena", id = 44},
    {name = "Qeynos Catacombs", shortname = "qcat", id = 45},
    {name = "Innothule Swamp (A)", shortname = "innothule", id = 46},
    {name = "The Feerrott(A)", shortname = "feerrott", id = 47},
    {name = "Cazic-Thule", shortname = "cazicthule", id = 48},
    {name = "Oggok", shortname = "oggok", id = 49},
    {name = "Mountains of Rathe", shortname = "rathemtn", id = 50},
    {name = "Lake Rathetear", shortname = "lakerathe", id = 51},
    {name = "Grobb", shortname = "grobb", id = 52},
    {name = "Aviak Village", shortname = "aviak", id = 53},
    {name = "The Greater Faydark", shortname = "gfaydark", id = 54},
    {name = "Ak'Anon", shortname = "akanon", id = 55},
    {name = "The Lesser Faydark", shortname = "lfaydark", id = 57},
    {name = "Clan Crushbone", shortname = "crushbone", id = 58},
    {name = "Castle Mistmoore", shortname = "mistmoore", id = 59},
    {name = "South Kaladim", shortname = "kaladima", id = 60},
    {name = "Northern Felwithe", shortname = "felwithea", id = 61},
    {name = "Southern Felwithe", shortname = "felwitheb", id = 62},
    {name = "Estate of Unrest", shortname = "unrest", id = 63},
    {name = "Kedge Keep", shortname = "kedge", id = 64},
    {name = "Upper Guk", shortname = "guktop", id = 65},
    {name = "Lower Guk", shortname = "gukbottom", id = 66},
    {name = "North Kaladim", shortname = "kaladimb", id = 67},
    {name = "Butcherblock Mountains", shortname = "butcher", id = 68},
    {name = "Ocean of Tears", shortname = "oot", id = 69},
    {name = "Dagnor's Cauldron", shortname = "cauldron", id = 70},
    {name = "Plane of Sky", shortname = "airplane", id = 71},
    {name = "Plane of Fear", shortname = "fearplane", id = 72},
    {name = "Permafrost Keep", shortname = "permafrost", id = 73},
    {name = "Kerra Isle", shortname = "kerraridge", id = 74},
    {name = "Paineel", shortname = "paineel", id = 75},
    {name = "The Arena (A)", shortname = "arena", id = 77},
    {name = "Temple of Solusek Ro", shortname = "soltemple", id = 80},
    {name = "Erud's Crossing", shortname = "erudsxing", id = 98},
    {name = "Stonebrunt Mountains", shortname = "stonebrunt", id = 100},
    {name = "The Warrens", shortname = "warrens", id = 101},
    {name = "Marauder's Mire", shortname = "erudsxing2", id = 102},
    {name = "The Bazaar", shortname = "bazaar", id = 151},
    {name = "The Bazaar (2)", shortname = "bazaar2", id = 152},
    {name = "The Arena (B)", shortname = "arena2", id = 153},
    {name = "The Jaggedpine Forest", shortname = "jaggedpine", id = 181},
    {name = "Nedaria's Landing", shortname = "nedaria", id = 182},
    {name = "Tutorial Zone", shortname = "tutorial", id = 183},
    {name = "Loading (A)", shortname = "load", id = 184},
    {name = "Loading (B)", shortname = "load2", id = 185},
    {name = "The Plane of Hate", shortname = "hateplaneb", id = 186},
    {name = "Shadowrest", shortname = "shadowrest", id = 187},
    {name = "The Mines of Gloomingdeep (A)", shortname = "tutoriala", id = 188},
    {name = "The Mines of Gloomingdeep (B)", shortname = "tutorialb", id = 189},
    {name = "Loading (C)", shortname = "clz", id = 190},
    {name = "Plane of Knowledge", shortname = "poknowledge", id = 202},
    {name = "The Caverns of Exile", shortname = "soldungc", id = 278},
    {name = "The Guild Lobby", shortname = "guildlobby", id = 344},
    {name = "The Barter Hall", shortname = "barter", id = 345},
    {name = "Ruins of Takish-Hiz", shortname = "takishruins", id = 376},
    {name = "East Freeport", shortname = "freeporteast", id = 382},
    {name = "West Freeport", shortname = "freeportwest", id = 383},
    {name = "Freeport Sewers", shortname = "freeportsewers", id = 384},
    {name = "North Ro (B)", shortname = "northro", id = 392},
    {name = "South Ro (B)", shortname = "southro", id = 393},
    {name = "Highpass Hold", shortname = "highpasshold", id = 407},
    {name = "Commonlands", shortname = "commonlands", id = 408},
    {name = "Ocean Of Tears", shortname = "oceanoftears", id = 409},
    {name = "Kithicor Forest (B)", shortname = "kithforest", id = 410},
    {name = "Befallen (B)", shortname = "befallenb", id = 411},
    {name = "Highpass Keep", shortname = "highpasskeep", id = 412},
    {name = "Innothule Swamp (B)", shortname = "innothuleb", id = 413},
    {name = "Toxxulia Forest", shortname = "toxxulia", id = 414},
    {name = "Misty Thicket", shortname = "mistythicket", id = 415},
    {name = "Steamfont Mountains", shortname = "steamfontmts", id = 448},
    {name = "Tinmizer's Wunderwerks", shortname = "dragonscalea", id = 450},
    {name = "Ngreth's Den", shortname = "crafthalls", id = 451},
    {name = "Wedding Chapel", shortname = "weddingchapel", id = 493},
    {name = "Wedding Chapel (Dark)", shortname = "weddingchapeldark", id = 494},
    {name = "Lair of the Fallen", shortname = "dragoncrypt", id = 495},
    {name = "Art Testing Domain", shortname = "arttest", id = 996},
    {name = "The Forgotten Halls", shortname = "fhalls", id = 998},
    {name = "Designer Apprentice", shortname = "apprentice", id = 999}, -- Replace 999 with the correct ID
    {name = "The Field of Bone", shortname = "fieldofbone", id = 78},
    {name = "Warsliks Wood", shortname = "warslikswood", id = 79},
    {name = "Temple of Droga", shortname = "droga", id = 81},
    {name = "West Cabilis", shortname = "cabwest", id = 82},
    {name = "Swamp of No Hope", shortname = "swampofnohope", id = 83},
    {name = "Firiona Vie", shortname = "firiona", id = 84},
    {name = "Lake of Ill Omen", shortname = "lakeofillomen", id = 85},
    {name = "Dreadlands", shortname = "dreadlands", id = 86},
    {name = "Burning Woods", shortname = "burningwood", id = 87},
    {name = "Kaesora", shortname = "kaesora", id = 88},
    {name = "Old Sebilis", shortname = "sebilis", id = 89},
    {name = "City of Mist", shortname = "citymist", id = 90},
    {name = "Skyfire Mountains", shortname = "skyfire", id = 91},
    {name = "Frontier Mountains", shortname = "frontiermtns", id = 92},
    {name = "The Overthere", shortname = "overthere", id = 93},
    {name = "The Emerald Jungle", shortname = "emeraldjungle", id = 94},
    {name = "Trakanon's Teeth", shortname = "trakanon", id = 95},
    {name = "Timorous Deep", shortname = "timorous", id = 96},
    {name = "Kurn's Tower", shortname = "kurn", id = 97},
    {name = "Karnor's Castle", shortname = "karnor", id = 102},
    {name = "Chardok", shortname = "chardok", id = 103},
    {name = "Dalnir", shortname = "dalnir", id = 104},
    {name = "Howling Stones", shortname = "charasis", id = 105},
    {name = "East Cabilis", shortname = "cabeast", id = 106},
    {name = "Mines of Nurga", shortname = "nurga", id = 107},
    {name = "Veeshan's Peak", shortname = "veeshan", id = 108},
    {name = "Veksar", shortname = "veksar", id = 109},
    {name = "The Halls of Betrayal", shortname = "chardokb", id = 277},
    {name = "Iceclad Ocean", shortname = "iceclad", id = 110},
    {name = "Tower of Frozen Shadow", shortname = "frozenshadow", id = 111},
    {name = "Velketor's Labyrinth", shortname = "velketor", id = 112},
    {name = "Kael Drakkal", shortname = "kael", id = 113},
    {name = "Skyshrine", shortname = "skyshrine", id = 114},
    {name = "Thurgadin", shortname = "thurgadina", id = 115},
    {name = "Eastern Wastes", shortname = "eastwastes", id = 116},
    {name = "Cobalt Scar", shortname = "cobaltscar", id = 117},
    {name = "Great Divide", shortname = "greatdivide", id = 118},
    {name = "The Wakening Land", shortname = "wakening", id = 119},
    {name = "Western Wastes", shortname = "westwastes", id = 120},
    {name = "Crystal Caverns", shortname = "crystal", id = 121},
    {name = "Dragon Necropolis", shortname = "necropolis", id = 123},
    {name = "Temple of Veeshan", shortname = "templeveeshan", id = 124},
    {name = "Siren's Grotto", shortname = "sirens", id = 125},
    {name = "Plane of Mischief", shortname = "mischiefplane", id = 126},
    {name = "Plane of Growth", shortname = "growthplane", id = 127},
    {name = "Sleeper's Tomb", shortname = "sleeper", id = 128},
    {name = "Icewell Keep", shortname = "thurgadinb", id = 129},
    {name = "Shadow Haven", shortname = "shadowhaven", id = 150},
    {name = "The Nexus", shortname = "nexus", id = 152},
    {name = "Echo Caverns", shortname = "echo", id = 153},
    {name = "Acrylia Caverns", shortname = "acrylia", id = 154},
    {name = "Shar Vahl", shortname = "sharvahl", id = 155},
    {name = "Paludal Caverns", shortname = "paludal", id = 156},
    {name = "Fungus Grove", shortname = "fungusgrove", id = 157},
    {name = "Vex Thal", shortname = "vexthal", id = 158},
    {name = "Sanctus Seru", shortname = "sseru", id = 159},
    {name = "Katta Castellum", shortname = "katta", id = 160},
    {name = "Netherbian Lair", shortname = "netherbian", id = 161},
    {name = "Ssraeshza Temple", shortname = "ssratemple", id = 162},
    {name = "Grieg's End", shortname = "griegsend", id = 163},
    {name = "The Deep", shortname = "thedeep", id = 164},
    {name = "Shadeweaver's Thicket", shortname = "shadeweaver", id = 165},
    {name = "Hollowshade Moor", shortname = "hollowshade", id = 166},
    {name = "Grimling Forest", shortname = "grimling", id = 167},
    {name = "Marus Seru", shortname = "mseru", id = 168},
    {name = "Mons Letalis", shortname = "letalis", id = 169},
    {name = "The Twilight Sea", shortname = "twilight", id = 170},
    {name = "The Grey", shortname = "thegrey", id = 171},
    {name = "The Tenebrous Mountains", shortname = "tenebrous", id = 172},
    {name = "The Maiden's Eye", shortname = "maiden", id = 173},
    {name = "Dawnshroud Peaks", shortname = "dawnshroud", id = 174},
    {name = "The Scarlet Desert", shortname = "scarlet", id = 175},
    {name = "The Umbral Plains", shortname = "umbral", id = 176},
    {name = "Akheva Ruins", shortname = "akheva", id = 179},
    {name = "Ruins of Lxanvom", shortname = "codecay", id = 200},
    {name = "Plane of Justice", shortname = "pojustice", id = 201},
    {name = "Plane of Tranquility", shortname = "potranquility", id = 203},
    {name = "Plane of Nightmare", shortname = "ponightmare", id = 204},
    {name = "Plane of Disease", shortname = "podisease", id = 205},
    {name = "Plane of Innovation", shortname = "poinnovation", id = 206},
    {name = "Plane of Torment", shortname = "potorment", id = 207},
    {name = "Plane of Valor", shortname = "povalor", id = 208},
    {name = "Torden, The Bastion of Thunder", shortname = "bothunder", id = 209},
    {name = "Plane of Storms", shortname = "postorms", id = 210},
    {name = "Halls of Honor", shortname = "hohonora", id = 211},
    {name = "Solusek Ro's Tower", shortname = "solrotower", id = 212},
    {name = "Plane of War", shortname = "powar", id = 213},
    {name = "Drunder, Fortress of Zek", shortname = "potactics", id = 214},
    {name = "Eryslai, the Kingdom of Wind", shortname = "poair", id = 215},
    {name = "Reef of Coirnav", shortname = "powater", id = 216},
    {name = "Doomfire, The Burning Lands", shortname = "pofire", id = 217},
    {name = "Vegarlson, The Earthen Badlands", shortname = "poeartha", id = 218},
    {name = "Plane of Time (A)", shortname = "potimea", id = 219},
    {name = "Temple of Marr (A)", shortname = "hohonorb", id = 220},
    {name = "Lair of Terris Thule", shortname = "nightmareb", id = 221},
    {name = "Stronghold of the Twelve", shortname = "poearthb", id = 222},
    {name = "Plane of Time (B)", shortname = "potimeb", id = 223},
    {name = "Gulf of Gunthak", shortname = "gunthak", id = 224},
    {name = "Dulak's Harbor", shortname = "dulak", id = 225},
    {name = "Torgiran Mines", shortname = "torgiran", id = 226},
    {name = "Crypt of Nadox", shortname = "nadox", id = 227},
    {name = "Hate's Fury, The Scorned Maiden", shortname = "hatesfury", id = 228},
    {name = "The Cauldron of Lost Souls", shortname = "guka", id = 229},
    {name = "The Bloodied Quarries", shortname = "ruja", id = 230},
    {name = "The Sunken Library", shortname = "taka", id = 231},
    {name = "The Silent Gallery", shortname = "mira", id = 232},
    {name = "The Forlorn Caverns", shortname = "mmca", id = 233},
    {name = "The Drowning Crypt", shortname = "gukb", id = 234},
    {name = "The Halls of War", shortname = "rujb", id = 235},
    {name = "The Shifting Tower", shortname = "takb", id = 236},
    {name = "The Maw of the Menagerie", shortname = "mirb", id = 237},
    {name = "The Dreary Grotto", shortname = "mmcb", id = 238},
    {name = "The Ancient Aqueducts", shortname = "gukc", id = 239},
    {name = "The Wind Bridges", shortname = "rujc", id = 240},
    {name = "The Fading Temple", shortname = "takc", id = 241},
    {name = "The Spider Den", shortname = "mirc", id = 242},
    {name = "The Asylum of Invoked Stone", shortname = "mmcc", id = 243},
    {name = "The Mushroom Grove", shortname = "gukd", id = 244},
    {name = "The Gladiator Pits", shortname = "rujd", id = 245},
    {name = "The Royal Observatory", shortname = "takd", id = 246},
    {name = "The Hushed Banquet", shortname = "mird", id = 247},
    {name = "The Chambers of Eternal Affliction", shortname = "mmcd", id = 248},
    {name = "The Foreboding Prison", shortname = "guke", id = 249},
    {name = "The Drudge Hollows", shortname = "ruje", id = 250},
    {name = "The River of Recollection", shortname = "take", id = 251},
    {name = "The Frosted Halls", shortname = "mire", id = 252},
    {name = "The Sepulcher of the Damned", shortname = "mmce", id = 253},
    {name = "The Chapel of the Witnesses", shortname = "gukf", id = 254},
    {name = "The Fortified Lair of the Taskmasters", shortname = "rujf", id = 255},
    {name = "The Sandfall Corridors", shortname = "takf", id = 256},
    {name = "The Forgotten Wastes", shortname = "mirf", id = 257},
    {name = "The Ritualistic Summoning Grounds", shortname = "mmcf", id = 258},
    {name = "The Root Garden", shortname = "gukg", id = 259},
    {name = "The Hidden Vale", shortname = "rujg", id = 260},
    {name = "The Balancing Chamber", shortname = "takg", id = 261},
    {name = "The Heart of the Menagerie", shortname = "mirg", id = 262},
    {name = "The Cesspits of Putrescence", shortname = "mmcg", id = 263},
    {name = "The Accursed Sanctuary", shortname = "gukh", id = 264},
    {name = "The Blazing Forge", shortname = "rujh", id = 265},
    {name = "The Sweeping Tides", shortname = "takh", id = 266},
    {name = "The Morbid Laboratory", shortname = "mirh", id = 267},
    {name = "The Aisles of Blood", shortname = "mmch", id = 268},
    {name = "The Arena of Chance", shortname = "ruji", id = 269},
    {name = "The Antiquated Palace", shortname = "taki", id = 270},
    {name = "The Theater of Imprisoned Horrors", shortname = "miri", id = 271},
    {name = "The Halls of Sanguinary Rites", shortname = "mmci", id = 272},
    {name = "The Barracks of War", shortname = "rujj", id = 273},
    {name = "The Prismatic Corridors", shortname = "takj", id = 274},
    {name = "The Grand Library", shortname = "mirj", id = 275},
    {name = "The Infernal Sanctuary", shortname = "mmcj", id = 276},
    {name = "Abysmal Sea", shortname = "abysmal", id = 279},
    {name = "Natimbi, The Broken Shores", shortname = "natimbi", id = 280},
    {name = "Qinimi, Court of Nihilia", shortname = "qinimi", id = 281},
    {name = "Riwwi, Coliseum of Games", shortname = "riwwi", id = 282},
    {name = "Barindu, Hanging Gardens", shortname = "barindu", id = 283},
    {name = "Ferubi, Forgotten Temple of Taelosia", shortname = "ferubi", id = 284},
    {name = "Sewers of Nihilia, Pool of Sludge", shortname = "snpool", id = 285},
    {name = "Sewers of Nihilia, Lair of Trapped Ones", shortname = "snlair", id = 286},
    {name = "Sewers of Nihilia, Purifying Plant", shortname = "snplant", id = 287},
    {name = "Sewers of Nihilia, the Crematory", shortname = "sncrematory", id = 288},
    {name = "Tipt, Treacherous Crags", shortname = "tipt", id = 289},
    {name = "Vxed, The Crumbling Caverns", shortname = "vxed", id = 290},
    {name = "Yxtta, Pulpit of Exiles", shortname = "yxtta", id = 291},
    {name = "Uqua, The Ocean God Chantry", shortname = "uqua", id = 292},
    {name = "Kod'Taz, Broken Trial Grounds", shortname = "kodtaz", id = 293},
    {name = "Ikkinz, Chambers of Destruction", shortname = "ikkinz", id = 294},
    {name = "Qvic, Prayer Grounds of Calling", shortname = "qvic", id = 295},
    {name = "Inktu`Ta, The Unmasked Chapel", shortname = "inktuta", id = 296},
    {name = "Txevu, Lair of the Elite", shortname = "txevu", id = 297},
    {name = "Tacvi, Seat of the Slaver", shortname = "tacvi", id = 298},
    {name = "Qvic, the Hidden Vault", shortname = "qvicb", id = 299},
    {name = "Wall of Slaughter", shortname = "wallofslaughter", id = 300},
    {name = "The Bloodfields", shortname = "bloodfields", id = 301},
    {name = "Dranik's Scar", shortname = "draniksscar", id = 302},
    {name = "Nobles' Causeway", shortname = "causeway", id = 303},
    {name = "Muramite Proving Grounds (A)", shortname = "chambersa", id = 304},
    {name = "Muramite Proving Grounds (B)", shortname = "chambersb", id = 305},
    {name = "Muramite Proving Grounds (C)", shortname = "chambersc", id = 306},
    {name = "Muramite Proving Grounds (D)", shortname = "chambersd", id = 307},
    {name = "Muramite Proving Grounds (E)", shortname = "chamberse", id = 308},
    {name = "Muramite Proving Grounds (F)", shortname = "chambersf", id = 309},
    {name = "Muramite Proving Grounds", shortname = "provinggrounds", id = 316},
    {name = "Asylum of Anguish", shortname = "anguish", id = 317},
    {name = "Dranik's Hollows (A)", shortname = "dranikhollowsa", id = 318},
    {name = "Dranik's Hollows (B)", shortname = "dranikhollowsb", id = 319},
    {name = "Dranik's Hollows (C)", shortname = "dranikhollowsc", id = 320},
    {name = "Dranik's Hollows (D)", shortname = "dranikhollowsd", id = 321},
    {name = "Dranik's Hollows (E)", shortname = "dranikhollowse", id = 322},
    {name = "Dranik's Hollows (F)", shortname = "dranikhollowsf", id = 323},
    {name = "Dranik's Hollows (G)", shortname = "dranikhollowsg", id = 324},
    {name = "Dranik's Hollows (H)", shortname = "dranikhollowsh", id = 325},
    {name = "Dranik's Hollows (I)", shortname = "dranikhollowsi", id = 326},
    {name = "Dranik's Hollows (J)", shortname = "dranikhollowsj", id = 327},
    {name = "Catacombs of Dranik (A)", shortname = "dranikcatacombsa", id = 328},
    {name = "Catacombs of Dranik (B)", shortname = "dranikcatacombsb", id = 329},
    {name = "Catacombs of Dranik (C)", shortname = "dranikcatacombsc", id = 330},
    {name = "Sewers of Dranik (A)", shortname = "draniksewersa", id = 331},
    {name = "Sewers of Dranik (B)", shortname = "draniksewersb", id = 332},
    {name = "Sewers of Dranik (C)", shortname = "draniksewersc", id = 333},
    {name = "Riftseekers' Sanctum", shortname = "riftseekers", id = 334},
    {name = "Harbingers' Spire", shortname = "harbingers", id = 335},
    {name = "The Ruined City of Dranik", shortname = "dranik", id = 336},
    {name = "The Broodlands", shortname = "broodlands", id = 337},
    {name = "Stillmoon Temple", shortname = "stillmoona", id = 338},
    {name = "The Ascent", shortname = "stillmoonb", id = 339},
    {name = "Thundercrest Isles", shortname = "thundercrest", id = 340},
    {name = "Lavaspinner's Lair", shortname = "delvea", id = 341},
    {name = "Tirranun's Delve", shortname = "delveb", id = 342},
    {name = "The Accursed Nest", shortname = "thenest", id = 343},
    {name = "Guild Hall", shortname = "guildhall", id = 345},
    {name = "Ruins of Illsalin", shortname = "illsalin", id = 347},
    {name = "Imperial Bazaar", shortname = "illsalina", id = 348},
    {name = "Temple of the Korlach", shortname = "illsalinb", id = 349},
    {name = "The Nargilor Pits", shortname = "illsalinc", id = 350},
    {name = "Dreadspire Keep", shortname = "dreadspire", id = 351},
    {name = "The Hive", shortname = "drachnidhive", id = 354},
    {name = "Living Larder", shortname = "drachnidhivea", id = 355},
    {name = "Coven of the Skinwalkers", shortname = "drachnidhiveb", id = 356},
    {name = "Queen Sendaii's Lair", shortname = "drachnidhivec", id = 357},
    {name = "Stoneroot Falls", shortname = "westkorlach", id = 358},
    {name = "Chambers of Xill", shortname = "westkorlacha", id = 359},
    {name = "Caverns of the Lost", shortname = "westkorlachb", id = 360},
    {name = "Lair of the Korlach", shortname = "westkorlachc", id = 361},
    {name = "Undershore", shortname = "eastkorlach", id = 362},
    {name = "Snarlstone Dens", shortname = "eastkorlacha", id = 363},
    {name = "Shadowspine", shortname = "shadowspine", id = 364},
    {name = "Corathus Creep", shortname = "corathus", id = 365},
    {name = "Sporali Caverns", shortname = "corathusa", id = 366},
    {name = "Corathus Lair", shortname = "corathusb", id = 367},
    {name = "Shadowed Grove", shortname = "nektulosa", id = 368},
    {name = "Arcstone", shortname = "arcstone", id = 369},
    {name = "Relic", shortname = "relic", id = 370},
    {name = "Skylance", shortname = "skylance", id = 371},
    {name = "The Devastation", shortname = "devastation", id = 372},
    {name = "The Seething Wall", shortname = "devastationa", id = 373},
    {name = "Sverag, Stronghold of Rage", shortname = "rage", id = 374},
    {name = "Razorthorn, Tower of Sullon Zek", shortname = "ragea", id = 375},
    {name = "The Root of Ro", shortname = "takishruinsa", id = 377},
    {name = "The Elddar Forest", shortname = "elddar", id = 378},
    {name = "Tunare's Shrine", shortname = "elddara", id = 379},
    {name = "Theater of Blood", shortname = "theater", id = 380},
    {name = "Deathknell, Tower of Dissonance", shortname = "theatera", id = 381},
    {name = "Academy of Arcane Sciences", shortname = "freeportacademy", id = 385},
    {name = "Temple of Marr (B)", shortname = "freeporttemple", id = 386},
    {name = "Freeport Militia House", shortname = "freeportmilitia", id = 387},
    {name = "Arena", shortname = "freeportarena", id = 388},
    {name = "City Hall", shortname = "freeportcityhall", id = 389},
    {name = "Theater", shortname = "freeporttheater", id = 390},
    {name = "Hall of Truth", shortname = "freeporthall", id = 391},
    {name = "Crescent Reach", shortname = "crescent", id = 394},
    {name = "Blightfire Moors", shortname = "moors", id = 395},
    {name = "Stone Hive", shortname = "stonehive", id = 396},
    {name = "Goru`kar Mesa", shortname = "mesa", id = 397},
    {name = "Blackfeather Roost", shortname = "roost", id = 398},
    {name = "The Steppes", shortname = "steppes", id = 399},
    {name = "Icefall Glacier", shortname = "icefall", id = 400},
    {name = "Valdeholm", shortname = "valdeholm", id = 401},
    {name = "Frostcrypt, Throne of the Shade King", shortname = "frostcrypt", id = 402},
    {name = "Sunderock Springs", shortname = "sunderock", id = 403},
    {name = "Vergalid Mines", shortname = "vergalid", id = 404},
    {name = "Direwind Cliffs", shortname = "direwind", id = 405},
    {name = "Ashengate, Reliquary of the Scale", shortname = "ashengate", id = 406},
    {name = "Katta Castrum", shortname = "kattacastrum", id = 416},
    {name = "Thalassius, the Coral Keep", shortname = "thalassius", id = 417},
    {name = "Jewel of Atiiki", shortname = "atiiki", id = 418},
    {name = "Zhisza, the Shissar Sanctuary", shortname = "zhisza", id = 419},
    {name = "Silyssar, New Chelsith", shortname = "silyssar", id = 420},
    {name = "Solteris, the Throne of Ro", shortname = "solteris", id = 421},
    {name = "Barren Coast", shortname = "barren", id = 422},
    {name = "The Buried Sea", shortname = "buriedsea", id = 423},
    {name = "Jardel's Hook", shortname = "jardelshook", id = 424},
    {name = "Monkey Rock", shortname = "monkeyrock", id = 425},
    {name = "Suncrest Isle", shortname = "suncrest", id = 426},
    {name = "Deadbone Reef", shortname = "deadbone", id = 427},
    {name = "Blacksail Folly", shortname = "blacksail", id = 428},
    {name = "Maiden's Grave", shortname = "maidensgrave", id = 429},
    {name = "Redfeather Isle", shortname = "redfeather", id = 430},
    {name = "Redfeather Isle", shortname = "redfeather", id = 430},
    {name = "The Open Sea (A)", shortname = "shipmvp", id = 431},
    {name = "The Open Sea (B)", shortname = "shipmvu", id = 432},
    {name = "The Open Sea (C)", shortname = "shippvu", id = 433},
    {name = "The Open Sea (D)", shortname = "shipuvu", id = 434},
    {name = "The Open Sea (E)", shortname = "shipmvm", id = 435},
    {name = "Fortress Mechanotus", shortname = "mechanotus", id = 436},
    {name = "Meldrath's Majestic Mansion", shortname = "mansion", id = 437},
    {name = "The Steam Factory", shortname = "steamfactory", id = 438},
    {name = "S.H.I.P. Workshop", shortname = "shipworkshop", id = 439},
    {name = "Gyrospire Beza", shortname = "gyrospireb", id = 440},
    {name = "Gyrospire Zeka", shortname = "gyrospirez", id = 441},
    {name = "Dragonscale Hills", shortname = "dragonscale", id = 442},
    {name = "Loping Plains", shortname = "lopingplains", id = 443},
    {name = "Hills of Shade", shortname = "hillsofshade", id = 444},
    {name = "Bloodmoon Keep", shortname = "bloodmoon", id = 445},
    {name = "Crystallos, Lair of the Awakened", shortname = "crystallos", id = 446},
    {name = "The Mechamatic Guardian", shortname = "guardian", id = 447},
    {name = "Crypt of Shade", shortname = "cryptofshade", id = 449},
    {name = "Deepscar's Den", shortname = "dragonscaleb", id = 451},
    {name = "Old Field of Scale", shortname = "oldfieldofbone", id = 452},
    {name = "Kaesora Library", shortname = "oldkaesoraa", id = 453},
    {name = "Hatchery Wing", shortname = "oldkaesorab", id = 454},
    {name = "Old Kurn's Tower", shortname = "oldkurn", id = 455},
    {name = "Bloody Kithicor", shortname = "oldkithicor", id = 456},
    {name = "Old Commonlands", shortname = "oldcommons", id = 457},
    {name = "The Void (A)", shortname = "thevoida", id = 459},
    {name = "The Void (B)", shortname = "thevoidb", id = 460},
    {name = "The Void (C)", shortname = "thevoidc", id = 461},
    {name = "The Void (D)", shortname = "thevoidd", id = 462},
    {name = "The Void (E)", shortname = "thevoide", id = 463},
    {name = "The Void (F)", shortname = "thevoidf", id = 464},
    {name = "The Void (G)", shortname = "thevoidg", id = 465},
    {name = "Oceangreen Hills", shortname = "oceangreenhills", id = 466},
    {name = "Oceangreen Village", shortname = "oceangreenvillage", id = 467},
    {name = "Old Blackburrow", shortname = "oldblackburrow", id = 468},
    {name = "Temple of Bertoxxulous", shortname = "bertoxtemple", id = 469},
    {name = "Korafax, Home of the Riders", shortname = "discord", id = 470},
    {name = "Citadel of the Worldslayer", shortname = "discordtower", id = 471},
    {name = "Old Bloodfields", shortname = "oldbloodfield", id = 472},
    {name = "The Precipice of War", shortname = "precipiceofwar", id = 473},
    {name = "City of Dranik", shortname = "olddranik", id = 474},
    {name = "Toskirakk", shortname = "toskirakk", id = 475},
    {name = "Korascian Warrens", shortname = "korascian", id = 476},
    {name = "Rathe Council Chambers", shortname = "rathechamber", id = 477},
    {name = "Field of Scale", shortname = "oldfieldofboneb", id = 478},
    {name = "Brell's Rest", shortname = "brellsrest", id = 480},
    {name = "Fungal Forest", shortname = "fungalforest", id = 481},
    {name = "The Underquarry", shortname = "underquarry", id = 482},
    {name = "The Cooling Chamber", shortname = "coolingchamber", id = 483},
    {name = "Kernagir, The Shining City", shortname = "shiningcity", id = 484},
    {name = "Arthicrex", shortname = "arthicrex", id = 485},
    {name = "The Foundation", shortname = "foundation", id = 486},
    {name = "Lichen Creep", shortname = "lichencreep", id = 487},
    {name = "Pellucid Grotto", shortname = "pellucid", id = 488},
    {name = "Volska's Husk", shortname = "stonesnake", id = 489},
    {name = "Brell's Temple", shortname = "brellstemple", id = 490},
    {name = "The Convorteum", shortname = "convorteum", id = 491},
    {name = "Brell's Arena", shortname = "brellsarena", id = 492},
    {name = "Wedding Chapel", shortname = "weddingchapel", id = 493},
    {name = "Lair of the Fallen", shortname = "dragoncrypt", id = 495},
    {name = "Feerrott, the Dream", shortname = "feerrott2", id = 700},
    {name = "House of Thule", shortname = "thulehouse1", id = 701},
    {name = "House of Thule, Upper Floors", shortname = "thulehouse2", id = 702},
    {name = "The Grounds", shortname = "housegarden", id = 703},
    {name = "The Library", shortname = "thulelibrary", id = 704},
    {name = "The Well", shortname = "well", id = 705},
    {name = "Erudin Burning", shortname = "fallen", id = 706},
    {name = "Morell's Castle", shortname = "morellcastle", id = 707},
    {name = "Sanctum Somnium", shortname = "somnium", id = 708},
    {name = "Al`Kabor's Nightmare", shortname = "alkabormare", id = 709},
    {name = "Miragul's Nightmare", shortname = "miragulmare", id = 710},
    {name = "Fear Itself", shortname = "thuledream", id = 711},
    {name = "Sunrise Hills", shortname = "neighborhood", id = 712},
    {name = "Miragul's Phylactery", shortname = "phylactery", id = 713},
    {name = "Argath", shortname = "argath", id = 724},
    {name = "Valley of Lunanyn", shortname = "arelis", id = 725},
    {name = "Sarith City", shortname = "sarithcity", id = 726},
    {name = "Rubak Oseka", shortname = "rubak", id = 727},
    {name = "Beast's Domain", shortname = "beastdomain", id = 728},
    {name = "Resplendent Temple", shortname = "resplendent", id = 729},
    {name = "Resplendent Temple", shortname = "resplendent", id = 729},
    {name = "Pillars of Alra", shortname = "pillarsalra", id = 730},
    {name = "Windsong", shortname = "windsong", id = 731},
    {name = "City of Bronze", shortname = "cityofbronze", id = 732},
    {name = "Sepulcher of Order", shortname = "sepulcher", id = 733},
    {name = "East Sepulcher", shortname = "eastsepulcher", id = 734},
    {name = "West Sepulcher", shortname = "westsepulcher", id = 735},
    {name = "Shadowed Mount", shortname = "shadowedmount", id = 736},
    {name = "Palatial Guildhall", shortname = "guildhalllrg", id = 737},
    {name = "Grand Guild Hall", shortname = "guildhalllrg", id = 737},
    {name = "Greater Guild Hall", shortname = "guildhallsml", id = 738},
    {name = "One Bedroom House Interior", shortname = "plhogrinteriors1a1", id = 739},
    {name = "One Bedroom House Interior", shortname = "plhogrinteriors1a2", id = 740},
    {name = "Three Bedroom House Interior", shortname = "plhogrinteriors3a1", id = 741},
    {name = "Three Bedroom House Interior", shortname = "plhogrinteriors3a2", id = 742},
    {name = "Three Bedroom House Interior", shortname = "plhogrinteriors3b1", id = 743},
    {name = "Three Bedroom House Interior", shortname = "plhogrinteriors3b2", id = 744},
    {name = "One Bedroom House Interior", shortname = "plhdkeinteriors1a1", id = 745},
    {name = "One Bedroom House Interior", shortname = "plhdkeinteriors1a2", id = 746},
    {name = "One Bedroom House Interior", shortname = "plhdkeinteriors1a3", id = 747},
    {name = "Three Bedroom House Interior", shortname = "plhdkeinteriors3a1", id = 748},
    {name = "Three Bedroom House Interior", shortname = "plhdkeinteriors3a2", id = 749},
    {name = "Three Bedroom House Interior", shortname = "plhdkeinteriors3a3", id = 750},
    {name = "Modest Guild Hall", shortname = "guildhall3", id = 751},
    {name = "Shard's Landing", shortname = "shardslanding", id = 752},
    {name = "Valley of King Xorbb", shortname = "xorbb", id = 753},
    {name = "Kael Drakkel: The King's Madness", shortname = "kaelshard", id = 754},
    {name = "East Wastes: Zeixshi-Kar's Awakening", shortname = "eastwastesshard", id = 755},
    {name = "The Crystal Caverns: Fragment of Fear", shortname = "crystalshard", id = 756},
    {name = "The Breeding Grounds", shortname = "breedinggrounds", id = 757},
    {name = "Evantil, the Vile Oak", shortname = "eviltree", id = 758},
    {name = "Grelleth's Palace, the Chateau of Filth", shortname = "grelleth", id = 759},
    {name = "Chapterhouse of the Fallen", shortname = "chapterhouse", id = 760},
    {name = "Chelsith Reborn", shortname = "chelsithreborn", id = 763},
    {name = "Plane of Shadow", shortname = "poshadow", id = 764},
    {name = "Heart of Fear: The Threshold", shortname = "heartoffear", id = 765},
    {name = "Evantil's Abode", shortname = "phinteriortree", id = 766},
    {name = "Heart of Fear: The Rebirth", shortname = "heartoffearb", id = 768},
    {name = "Heart of Fear: The Epicenter", shortname = "heartoffearc", id = 769},
    {name = "Bix Warfront", shortname = "bixiewarfront", id = 770},
    {name = "The Dead Hills", shortname = "deadhills", id = 771},
    {name = "Ethernere Tainted West Karana", shortname = "ethernere", id = 772},
    {name = "The Void (H)", shortname = "thevoidh", id = 773},
    {name = "Tower of Rot", shortname = "towerofrot", id = 775},
    {name = "Argin-Hiz", shortname = "arginhiz", id = 776},
    {name = "Sul Vius: Demiplane of Life", shortname = "exalted", id = 777},
    {name = "Arx Mentis", shortname = "arxmentis", id = 778},
    {name = "Brother Island", shortname = "brotherisland", id = 779},
    {name = "Katta Castrum, The Deluge", shortname = "kattacastrumb", id = 780},
    {name = "Combine Dredge", shortname = "dredge", id = 781},
    {name = "Caverns of Endless Song", shortname = "endlesscaverns", id = 782},
    {name = "Thuliasaur Island", shortname = "thuliasaur", id = 783},
    {name = "Degmar, the Lost Castle", shortname = "degmar", id = 784},
    {name = "Tempest Temple", shortname = "tempesttemple", id = 785},
    {name = "Gnome Memorial Mountain", shortname = "gnomemtn", id = 787},
    {name = "Temple of Droga", shortname = "drogab", id = 788},
    {name = "Sathir's Tomb", shortname = "charasisb", id = 789},
    {name = "Scorched Woods", shortname = "scorchedwoods", id = 790},
    {name = "Frontier Mountains", shortname = "frontiermtnsb", id = 791},
    {name = "Gorowyn", shortname = "gorowyn", id = 792},
    {name = "Gates of Kor-Sha", shortname = "korshaext", id = 793},
    {name = "Lceanium", shortname = "lceanium", id = 794},
    {name = "Crypt of Sul", shortname = "cosul", id = 795},
    {name = "Ruins of Lxanvom", shortname = "codecayb", id = 796},
    {name = "Sul Vius: Demiplane of Decay", shortname = "exaltedb", id = 797},
    {name = "The Plane of Health", shortname = "pohealth", id = 798},
    {name = "Kor-Sha Laboratory", shortname = "korshaint", id = 799},
    {name = "Chardok", shortname = "chardoktwo", id = 800},
    {name = "Howling Stones", shortname = "charasistwo", id = 813},
    {name = "Skyfire Mountains", shortname = "skyfiretwo", id = 814},
    {name = "The Overthere", shortname = "overtheretwo", id = 815},
    {name = "Veeshan's Peak", shortname = "veeshantwo", id = 816},
    {name = "Plane of Smoke", shortname = "trialsofsmoke", id = 817},
    {name = "Stratos: Zephyr's Flight", shortname = "stratos", id = 818},
    {name = "AAlishai: Palace of Embers", shortname = "aalishai", id = 819},
    {name = "Empyr: Realms of Ash", shortname = "empyr", id = 820},
    {name = "Esianti: Palace of the Winds", shortname = "esianti", id = 821},
    {name = "Mearatas: The Stone Demesne", shortname = "mearatas", id = 822},
    {name = "The Chamber of Tears", shortname = "chamberoftears", id = 823},
    {name = "The Eastern Wastes", shortname = "eastwastestwo", id = 824},
    {name = "The Tower of Frozen Shadow", shortname = "frozenshadowtwo", id = 825},
    {name = "The Ry`Gorr Mines", shortname = "crystaltwoa", id = 826},
    {name = "The Great Divide", shortname = "greatdividetwo", id = 827},
    {name = "Velketor's Labyrinth", shortname = "velketortwo", id = 828},
    {name = "Kael Drakkel", shortname = "kaeltwo", id = 829},
    {name = "Crystal Caverns", shortname = "crystaltwob", id = 830},
    {name = "The Sleeper's Tomb", shortname = "sleepertwo", id = 831},
    {name = "Dragon Necropolis", shortname = "necropolistwo", id = 832},
    {name = "Cobalt Scar", shortname = "cobaltscartwo", id = 833},
    {name = "The Western Wastes", shortname = "westwastestwo", id = 834},
    {name = "Skyshrine", shortname = "skyshrinetwo", id = 835},
    {name = "The Temple of Veeshan", shortname = "templeveeshantwo", id = 836},
    {name = "Maiden's Eye", shortname = "maidentwo", id = 843},
    {name = "Umbral Plains", shortname = "umbraltwo", id = 844},
    {name = "Ka Vethan", shortname = "akhevatwo", id = 845},
    {name = "Vex Thal", shortname = "vexthaltwo", id = 846},
    {name = "Shadow Valley", shortname = "shadowvalley", id = 847},
    {name = "Basilica of Adumbration", shortname = "basilica", id = 848},
    {name = "Bloodfalls", shortname = "bloodfalls", id = 849},
    {name = "Coterie Chambers", shortname = "maidenhouseint", id = 850},
    {name = "Ruins of Shadow Haven", shortname = "shadowhaventwo", id = 851},
    {name = "Shar Vahl, Divided", shortname = "sharvahltwo", id = 852},
    {name = "Paludal Caverns", shortname = "paludaltwo", id = 853},
    {name = "Shadeweaver's Tangle", shortname = "shadeweavertwo", id = 854},
    {name = "Darklight Caverns", shortname = "darklightcaverns", id = 855},
    {name = "Deepshade", shortname = "deepshade", id = 856},
    {name = "Firefall Pass", shortname = "firefallpass", id = 857},
    {name = "Hollowshade Moor", shortname = "hollowshadetwo", id = 858},
    {name = "Laurionn Inn", shortname = "laurioninn", id = 859},
    {name = "Timorous Falls", shortname = "timorousfalls", id = 865},
    {name = "Ankexfen Keep", shortname = "ankexfen", id = 860},
    {name = "Moors of Nokk", shortname = "moorsofnokk", id = 863},
    {name = "Unkempt Woods", shortname = "unkemptwoods", id = 864},
    {name = "The Hero's Forge", shortname = "herosforge", id = 862},
    {name = "Pal'Lomen", shortname = "pallomen", id = 861}
}

return zones
